/**
 * @projectName willalp-pns-ml
 * @package com.willalp.web.controller.app
 * @className com.willalp.web.controller.app.AppThreeController
 * @copyright Copyright 2019 HuiShan, Inc All rights reserved.
 */
package com.willalp.web.controller.app;

import com.willalp.common.core.controller.BaseController;
import com.willalp.common.core.domain.AjaxResult;
import com.willalp.common.core.page.TableDataInfo;
import com.willalp.erms.service.IHsGoodsStorageService;
import com.willalp.erms.service.IHsGoodsTypeService;
import com.willalp.files.service.IHsOrgPersonnelFilesService;
import com.willalp.flow.service.IHsFlowCcService;
import com.willalp.system.service.ISysDeptService;
import com.willalp.system.service.ISysPostService;
import io.swagger.annotations.Api;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

/**
 * AppThreeController
 * @description APP对外接口3
 * @author hs
 * @date 2023/2/6 17:18
 * @version 1.0
 */
@Api("app接口")
@RestController
@RequestMapping("/app")
public class AppThreeController extends BaseController {
    private static final Log LOG = LogFactory.getLog(AppThreeController.class);

    @Resource
    private IHsOrgPersonnelFilesService opfService;

    @Resource
    private IHsFlowCcService flowCcService;

    @Resource
    private IHsGoodsTypeService goodsTypeService;

    @Resource
    private IHsGoodsStorageService goodsStorageService;

    @Resource
    private ISysDeptService deptService;


    @RequestMapping("/getOpfInfo")
    public AjaxResult getOpfInfo(@RequestParam String opfUserPhone) {
        return AjaxResult.success(opfService.appGetHsOrgPersonnelFilesByPhone(opfUserPhone));
    }

    @RequestMapping("/ccRecord")
    public TableDataInfo getCcRecord(HttpServletRequest request) {
        startPage();
        return getDataTable(flowCcService.selectHsFlowCcListByUserId(request.getHeader("UserName")));
    }

    @RequestMapping("/sendTestMsg")
    public void testSendWebSocketMsg(HttpServletRequest request) {
//        WebSocketUsers.sendMessageToUserByText(WebSocketUsers.getUsers().get("admin"), "user-name");
    }

    @RequestMapping("/goodsType")
    public AjaxResult getGoodsType(String type) {
        return AjaxResult.success(goodsTypeService.appGetGoodsType(type));
    }

    @RequestMapping("/goodses")
    public AjaxResult goodses(String type, String name) {
        return AjaxResult.success(goodsStorageService.appGetGoodsByType(type, name));
    }

    @RequestMapping("/deptInfo")
    public AjaxResult deptInfo(String id) {
        return AjaxResult.success(deptService.selectChildrenDeptByParentId(id));
    }

    @Resource
    private ISysPostService postService;

    @RequestMapping("/posts")
    public AjaxResult getPosts() {
        return AjaxResult.success(postService.selectPostAll());
    }
}
 